EPPXMLErrors (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0604.rtk.xml.EPPXMLErrors class

### com.tucows.oxrs.epp0604.rtk.xml

# Class EPPXMLErrors

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0604.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0604.rtk.xml.EPPXMLErrors`

Implemented Interfaces:
  ErrorHandler

`public class EPPXMLErrors`
`extends EPPXMLBase`
`implements ErrorHandler`

EPP XML Errors -- Handler for XML parsing errors

Version:
  $Revision: 1.1 $ $Date: 2003/03/21 15:53:27 $

Author:
  Frank Thompson

  ## Field Summary
  `static int` | `XML_ERROR_TYPE_ERROR`
  `static int` | `XML_ERROR_TYPE_FATAL`
  `static int` | `XML_ERROR_TYPE_WARNING`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPXMLErrors()`

  ## Method Summary
  `void` | `clearErrors()`
  `void` | `error(SAXParseException ex)`
  `void` | `fatalError(SAXParseException ex)`
  `Object` | `getError(Node errorNode)`
  `int` | `getErrorCount()`
  `List` | `getErrorMessages()`
  `Hashtable` | `getErrorNodes()`
  `void` | `warning(SAXParseException ex)`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Field Details

### XML_ERROR_TYPE_ERROR

    public static int XML_ERROR_TYPE_ERROR

### XML_ERROR_TYPE_FATAL

    public static int XML_ERROR_TYPE_FATAL

### XML_ERROR_TYPE_WARNING

    public static int XML_ERROR_TYPE_WARNING

## Constructor Details

### EPPXMLErrors

    public EPPXMLErrors()

## Method Details

### clearErrors

    public void clearErrors()

### error

    public void error(SAXParseException ex)

### fatalError

    public void fatalError(SAXParseException ex)
                throws SAXException

### getError

    public Object getError(Node errorNode)

### getErrorCount

    public int getErrorCount()

### getErrorMessages

    public List getErrorMessages()

### getErrorNodes

    public Hashtable getErrorNodes()

### warning

    public void warning(SAXParseException ex)

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS